version: "3"

# More info at https://github.com/oracle/opengrok/docker/
services:
  opengrok:
    container_name: opengrok
    image: opengrok/docker:latest
    ports:
      - "6969:8080/tcp"
    environment:
      SYNC_PERIOD_MINUTES: '5'
    restart: always
    # Volumes store your data between container upgrades
    volumes:
       - './volumes/opengrok/src/:/opengrok/src/'  # source code
       - './volumes/opengrok/etc/:/opengrok/etc/'  # folder contains configuration.xml
       - './volumes/opengrok/data/:/opengrok/data/'  # index and other things for source code
       - './volumes/opengrok/lib/source.war:/opengrok/lib/source.war'
